---
layout: commands
page_title: 'Commands: ACL Role Read'
description: |
  The `consul acl role read` command outputs details for the ACL role of the specified name or ID, including policies attached to the role.
---

# Consul ACL Role Read

Command: `consul acl role read`

Corresponding HTTP API Endpoints: [\[GET\] /v1/acl/role/:id](/consul/api-docs/acl/roles#read-a-role), [\[GET\] /v1/acl/role/name/:name](/consul/api-docs/acl/roles#read-a-role-by-name)

The `acl role read` command reads and displays a roles details.

The table below shows this command's [required ACLs](/consul/api-docs/api-structure#authentication). Configuration of
[blocking queries](/consul/api-docs/features/blocking) and [agent caching](/consul/api-docs/features/caching)
are not supported from commands, but may be from the corresponding HTTP endpoint.

| ACL Required |
| ------------ |
| `acl:read`   |

## Usage

Usage: `consul acl role read [options] [args]`

#### Command Options

- `-id=<string>` - The ID of the role to read. It may be specified as a unique ID
  prefix but will error if the prefix matches multiple role IDs.

- `-meta` - Indicates that role metadata such as the content hash and raft
  indices should be shown for each entry.

- `-name=<string>` - The name of the role to read.

- `-format={pretty|json}` - Command output format. The default value is `pretty`.

#### Enterprise Options

@include 'http_api_partition_options.mdx'

@include 'http_api_namespace_options.mdx'

#### API Options

@include 'http_api_options_client.mdx'

@include 'http_api_options_server.mdx'

## Examples

Get role details:

```shell-session
$ consul acl role read -id 57147d87-6bf7-f794-1a6e-7d038c4e4ae9
ID:           57147d87-6bf7-f794-1a6e-7d038c4e4ae9
Name:         crawler
Description:  web crawler role
Policies:
   2f8f99c7-edd9-2f09-7e4b-a1f519eb4fc2 - crawler-kv
```

Get role details by name:

```shell-session
$ consul acl role read -name archiver
ID:           a365fdc9-ac71-e754-0645-7ab6bd747301
Name:         archiver
Description:  archiver role
Service Identities:
   archiver (Datacenters: dc2)
```
